Fetch Coupon List Details
curl --request GET \
--url https://api-{dc}.moengage.com/v1/coupon-list/{coupon_list_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'MOE-APPKEY: <moe-appkey>'{
"name": "signup coupons",
"label": "signup_coupons",
"expires_at": "2024-10-26T18:29:00.000Z",
"status": "ACTIVE",
"total_coupons": 0,
"created_at": "2024-10-01T11:29:00.000Z",
"updated_at": "2024-10-01T11:39:00.000Z",
"email_alert_subscribers": [
"[email protected]"
],
"alert_conditions": {
"success_alert": true,
"failure_alert": true,
"expiry_alert": {
"alert": true,
"days_before": 100
},
"coupon_shortage_alert": {
"alert": true,
"threshold_count": 100
}
},
"available_coupons": 0,
"personalization_snippet": "{{Coupons.CouponListName[signup_coupons]}}",
"created_by": "test_user",
"_id": "{{coupon_list_id}}"
}{
"error": {
"code": "bad-request",
"message": "Possible issues include duplicates, such as coupon list names, invalid data types, or missing mandatory attributes."
}
}{
"error": {
"code": "request-unauthenticated",
"message": "Your request is unauthorized. Verify your credentials and try again."
}
}{
"error": {
"code": "request-forbidden",
"message": "Your account does not have access to the Coupon Management features. Contact the MoEngage team for further assistance."
}
}{
"error": {
"code": "unexpected-error",
"message": "Something went wrong with your request. Please contact the MoEngage team for further assistance."
}
}Fetch Coupon List Details
This API retrieves the specifications of a particular coupon list. It includes information such as configurations, statuses, expiry dates, and alert conditions with real-time counts of added and currently available coupons. Using this API, you can easily access and manage critical data about individual coupon lists.
GET
/
coupon-list
/
{coupon_list_id}
Fetch Coupon List Details
curl --request GET \
--url https://api-{dc}.moengage.com/v1/coupon-list/{coupon_list_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'MOE-APPKEY: <moe-appkey>'{
"name": "signup coupons",
"label": "signup_coupons",
"expires_at": "2024-10-26T18:29:00.000Z",
"status": "ACTIVE",
"total_coupons": 0,
"created_at": "2024-10-01T11:29:00.000Z",
"updated_at": "2024-10-01T11:39:00.000Z",
"email_alert_subscribers": [
"[email protected]"
],
"alert_conditions": {
"success_alert": true,
"failure_alert": true,
"expiry_alert": {
"alert": true,
"days_before": 100
},
"coupon_shortage_alert": {
"alert": true,
"threshold_count": 100
}
},
"available_coupons": 0,
"personalization_snippet": "{{Coupons.CouponListName[signup_coupons]}}",
"created_by": "test_user",
"_id": "{{coupon_list_id}}"
}{
"error": {
"code": "bad-request",
"message": "Possible issues include duplicates, such as coupon list names, invalid data types, or missing mandatory attributes."
}
}{
"error": {
"code": "request-unauthenticated",
"message": "Your request is unauthorized. Verify your credentials and try again."
}
}{
"error": {
"code": "request-forbidden",
"message": "Your account does not have access to the Coupon Management features. Contact the MoEngage team for further assistance."
}
}{
"error": {
"code": "unexpected-error",
"message": "Something went wrong with your request. Please contact the MoEngage team for further assistance."
}
}InformationThere is no request body or content to send for this request except for headers and parameters.
Rate Limit
You can fetch 10000 coupon lists per day.Authorizations
Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.
- Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
- Password: Use your API Key, which you can find within the Campaign report/Business events/Custom templates/Catalog API/Inform Report tile.
For more information on authentication and getting your credentials, refer here.
Headers
Response
Success Indicates that the request is successful and the coupon list is fetched.